package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import cn.com.ty.lift.business.maintenance.dao.entity.MaintenancePlan;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author bieao
 * @date 2020/2/13
 * @description 维保计划打印
 */
@Data
public class MaintenancePlanPrintRequest {

    /**
     * 公司id
     */
    @NotEmpty(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 电梯列表
     */
    @NotEmpty(message = "notEmpty")
    private List<MaintenancePlan> liftList;

}
