package cn.com.ty.lift.system.homepage.dao.mapper;

import cn.com.ty.lift.system.homepage.dao.dto.request.LiftDataRequest;
import cn.com.ty.lift.system.homepage.dao.model.EmergencyRecordDataModel;
import cn.com.ty.lift.system.homepage.dao.model.MtPlanDataModel;
import cn.com.ty.lift.system.homepage.dao.model.MtRecordDataModel;
import cn.com.xwy.boot.mybatis.MyBatisMapper;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020/2/18
 * @description 公共数据查询
 */
@MyBatisMapper
public interface CommonDataMapper {
    /**
     * @param
     * @return
     * @description 获取维保计划数据
     * @date 2020/2/18 12:01 下午
     */
    List<MtPlanDataModel> getMtPlanData(LiftDataRequest liftDataRequest);

    /**
     * @param
     * @return
     * @description 获取急修记录数据
     * @date 2020/2/18 12:02 下午
     */
    List<EmergencyRecordDataModel> getEmergencyRecordData(LiftDataRequest liftDataRequest);

    /**
     * @param
     * @return
     * @description 获取维保记录数据
     * @date 2020/2/18 2:02 下午
     */
    List<MtRecordDataModel> getMtRecordData(LiftDataRequest liftDataRequest);
}
